local MOW_Frame = CreateFrame("Frame", "MOWFrame", UIParent)
MOW_Frame:SetWidth(262)
MOW_Frame:SetHeight(26)
MOW_Frame:SetScale(1)
MOW_Frame:SetPoint("CENTER",0,0)
MOW_Frame:SetClampedToScreen(true)
MOW_Frame:EnableMouse(true)
MOW_Frame:SetMovable(true)
MOW_Frame:SetUserPlaced(true)

MOW_Frame:RegisterEvent("PLAYER_LOGIN")

MOW_Frame:SetScript("OnMouseDown",
	function(self, button)
		self:StartMoving()
	end
)

MOW_Frame:SetScript("OnMouseUp",
	function(self, button)
		self:StopMovingOrSizing()
	end
)

MOW_Frame:SetScript("OnUpdate", 
	function(self, t)
		if(ObjectiveTrackerFrame.collapsed) then
			MOW_Frame:SetWidth(92)
		else MOW_Frame:SetWidth(262) end
	end
)

local function MOW_SetPoint(self,...)
	ObjectiveTrackerFrame:SetParent(MOW_Frame)
	ObjectiveTrackerFrame:SetPoint("TOPLEFT", 30,-1)
	ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:SetPoint("TOPRIGHT", MOW_Frame, "TOPRIGHT", -2 ,-5)
end

local function GetChildNames(ui_obj, ...)
	for x=1, ui_obj:GetNumChildren() do
		local child = select(x, ...)
		print(child:GetName())
	end
end

local function MOW_OnEvent(self, event, ...)
	if(event == "PLAYER_LOGIN") then
		hooksecurefunc(ObjectiveTrackerFrame, "SetPoint", MOW_SetPoint) 
	end
end

MOW_Frame:SetScript("OnEvent", MOW_OnEvent)
